Issue #10792 has been updated by Razvan Marescu.


I just found https://bugs.ruby-lang.org/issues/10622, which seems to be related. I guess I have to wait for the next release?

----------------------------------------
Bug #10792: Unable to compile bigdecimal on Mac
https://bugs.ruby-lang.org/issues/10792#change-51257

* Author: Razvan Marescu
* Status: Open
* Priority: Normal
* Assignee: Kenta Murata
* ruby -v: 2.2
* Backport: 2.0.0: UNKNOWN, 2.1: UNKNOWN, 2.2: UNKNOWN
----------------------------------------
Hello,

I'm having issues compiling `bigdecimal` `1.2.5` on Mac OS X 10.10.1 (14B25). I use `rbenv` `0.4.0` for managing Ruby.
I've uninstalled all my ruby versions and gems to no avail.

Please find attached the output error.

List of installed gems

~~~
$ gem list --local

*** LOCAL GEMS ***

bigdecimal (1.2.6)
io-console (0.4.3)
json (1.8.1)
minitest (5.4.3)
power_assert (0.2.2)
psych (2.0.8)
rake (10.4.2)
rdoc (4.2.0)
test-unit (3.0.8)

$ gem -v
2.4.5

$ rbenv versions
  system
* 2.2.0 (set by /Users/user/.ruby-version)
~~~

I couldn't find this issue reported somewhere else. Can somebody please assist?

Thanks

---Files--------------------------------
gem_make.out (2.98 KB)


-- 
https://bugs.ruby-lang.org/